# Enum ethcore_network::NetworkIoMessage [−] [src]

    pub enum NetworkIoMessage {
        AddHandler {
            handler: Arc<NetworkProtocolHandler + Sync>,
            protocol: ProtocolId,
            versions: Vec<u8>,
            packet_count: u8,
        },
        AddTimer {
            protocol: ProtocolId,
            token: TimerToken,
            delay: u64,
        },
        InitPublicInterface,
        Disconnect(PeerId),
        DisablePeer(PeerId),
        NetworkStarted(String),
    }

Messages used to communitate with the event loop from other threads.

## Variants

`AddHandler`

Register a new protocol handler.

### Fields

`handler: Arc<NetworkProtocolHandler + Sync>` | Handler shared instance.
`protocol: ProtocolId` | Protocol Id.
`versions: Vec<u8>` | Supported protocol versions.
`packet_count: u8` | Number of packet IDs reserved by the protocol.

`AddTimer`

Register a new protocol timer

### Fields

`protocol: ProtocolId` | Protocol Id.
`token: TimerToken` | Timer token.
`delay: u64` | Timer delay in milliseconds.

`InitPublicInterface`

Initliaze public interface.

`Disconnect(PeerId)`

Disconnect a peer.

`DisablePeer(PeerId)`

Disconnect and temporary disable peer.

`NetworkStarted(String)`

Network has been started with the host as the given enode.

## Trait Implementations

### `impl Clone for NetworkIoMessage`
[src]

#### `fn clone(&self) -> NetworkIoMessage`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)